Subject: Re: [RFC] Patch to option HSO driver to the kernel

From: Filip Aben <[email-masked]>
Date: Tue, 15 Apr 2008 17:03:09 +0200

On Tue, 2008-04-15 at 16:14 +0200, Oliver Neukum wrote:
> Am Dienstag, 15. April 2008 16:12:22 schrieb Filip Aben:
> > 
> > On Tue, 2008-04-15 at 15:25 +0200, Oliver Neukum wrote:
> > > Am Montag, 14. April 2008 23:32:39 schrieb Greg KH:
> > > > Hi all,
> > > > 
> > > > Here's a patch that I have cleaned up for context only from Option that
> > > > is a USB serial / network device all in one.
> > > > 
> > > > I'd like to see this go into 2.6.26, so any review comments by anyone
> > > > who wishes to review any portion of this would be greatly apprecited.
> > > 
> > > The driver implements an ioctl to disable autosuspend. This seems
> > > unnecessary to me, as you can do that via sysfs, too. Is this included
> > > to work around permission problems? Can somebody explain?
> > > 
> > > 	Regards
> > > 		Oliver
> > 
> > This is added to support card firmware upgraders who will need to
> > disable suspend, even on (embedded) systems that don't have sysfs
> > mounted.
> 
> How do they enable autosuspend without sysfs?

Good point. No idea. I suppose it's easier to rely on something that
will always work, rather then making assumptions about suspend based on
whether sysfs is mounted or not.

( Wasn't there a kernel recently that had autosuspend enabled by
default ? )

Regards,

Filip-